<?php

namespace Drupal\cdn\Plugin\Validation\Constraint;

use Drupal\Core\StringTranslation\TranslatableMarkup;
use Drupal\Core\Validation\Attribute\Constraint;
use Symfony\Component\Validator\Constraint as SymfonyConstraint;

/**
 * @internal
 */
#[Constraint(
  id: 'CdnEnabledIffDomain',
  label: new TranslatableMarkup('CDN functionality can only be enabled if given a CDN', [], ['context' => 'Validation'])
)]
final class CdnEnabledIffDomainConstraint extends SymfonyConstraint {

  public $message = 'The CDN functionality cannot be enabled if no domains are configured.';

}
