<?php

namespace Drupal\cdn\Plugin\Validation\Constraint;

use Drupal\Core\StringTranslation\TranslatableMarkup;
use Drupal\Core\Validation\Attribute\Constraint;
use Symfony\Component\Validator\Constraint as SymfonyConstraint;

/**
 * @internal
 */
#[Constraint(
  id: 'CdnStreamWrapper',
  label: new TranslatableMarkup('CDN stream wrapper', [], ['context' => 'Validation'])
)]
class CdnStreamWrapperConstraint extends SymfonyConstraint {

  public $message = 'The provided stream wrapper %stream_wrapper is not valid. Ensure it is properly registered and is not \'private\'.';

}
